メインコンテンツへスキップ
GET
/
files
/
{file_id}
/
metadata
/
global
/
boxSkillsCards
cURL
curl -i -X PUT "https://api.box.com/2.0/files/12345/metadata/global/boxSkillsCards" \
     -H "authorization: Bearer <ACCESS_TOKEN>"
{
  "$canEdit": true,
  "$id": "01234500-12f1-1234-aa12-b1d234cb567e",
  "$parent": "folder_59449484661,",
  "$scope": "enterprise_27335",
  "$template": "properties",
  "$type": "properties-6bcba49f-ca6d-4d2a-a758-57fe6edf44d0",
  "$typeVersion": 2,
  "$version": 1,
  "cards": [
    {
      "type": "skill_card",
      "skill_card_type": "keyword",
      "skill": {
        "type": "service",
        "id": "image-recognition-service"
      },
      "invocation": {
        "type": "skill_invocation",
        "id": "image-recognition-service-123"
      },
      "entries": [
        {
          "text": "keyword1"
        }
      ],
      "created_at": "2018-04-13T13:53:23-07:00",
      "skill_card_title": {
        "message": "Labels",
        "code": "labels"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

file_id
string
必須

ファイルを表す一意の識別子。

ファイルIDを確認するには、ウェブアプリケーションでファイルにアクセスして、URLからIDをコピーします。たとえば、URLがhttps://*.app.box.com/files/123の場合、file_id123です。

レスポンス

ファイルに関連付けられたすべてのメタデータを返します。

このAPIはページネーションをサポートしていないため、常にファイルに関連付けられたすべてのメタデータを返します。

Boxスキルの使用に割り当てられたメタデータ。

$canEdit
boolean

このメタデータをユーザーが編集できるかどうか。

:

true

$id
string<uuid>

メタデータオブジェクトを識別するためのUUID。

Maximum string length: 36
:

"01234500-12f1-1234-aa12-b1d234cb567e"

$parent
string

親フォルダのID。

:

"folder_59449484661,"

$scope
string

このテンプレートが適用されているスコープのID。

:

"enterprise_27335"

$template
string

テンプレートの名前。

:

"properties"

$type
string

このインスタンスの「タイプ」に対応する一意の識別子。これは内部システムプロパティであるため、クライアントアプリケーションでは使用しないでください。

:

"properties-6bcba49f-ca6d-4d2a-a758-57fe6edf44d0"

$typeVersion
integer

オブジェクトテンプレートの既知の最新バージョン。これは内部システムプロパティであるため、クライアントアプリケーションでは使用しないでください。

:

2

$version
integer

メタデータオブジェクトのバージョン。0から始まり、ユーザー定義プロパティが変更されるたびに増加します。

:

1

cards
(キーワードスキルカード · object | タイムラインスキルカード · object | トランスクリプトスキルカード · object | ステータススキルカード · object)[]

このファイルに適用されているBox Skillカードのリスト。

一連のキーワードを含むスキルカード。